Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452183 - modprobe seems to cause BUG: unable to handle kernel paging request at 5bf393fd
Summary: modprobe seems to cause BUG: unable to handle kernel paging request at 5bf393fd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 8
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 21:43 UTC by p thompson
Modified: 2008-07-03 03:15 UTC (History)
0 users

Fixed In Version: 2.6.25.9-40.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-03 03:15:06 UTC


Attachments (Terms of Use)

Description p thompson 2008-06-19 21:43:22 UTC
Description of problem:

BUG: unable to handle kernel paging request at 5bf393fd
IP: [<f6559dc8>]
*pdpt = 00000000369a4001 *pde = 0000000000000000
Oops: 0000 [#1] SMP
Modules linked in: hpwdt(+) ipmi_si(+) sg iTCO_wdt ipmi_msghandler i5000_edac
button iTCO_vendor_support bnx2 sr_mod edac_core joydev pcspkr cdrom ata_piix
libata cciss sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last
unloaded: scsi_wait_scan]

Pid: 1141, comm: modprobe Not tainted (2.6.25.4-10.fc8PAE #1)
EIP: 0060:[<f6559dc8>] EFLAGS: 00210286 CPU: 1
EIP is at 0xf6559dc8
EAX: 5f32335f EBX: 000f0000 ECX: 00cd0100 EDX: 00000000
ESI: d0ffffff EDI: c39bd09b EBP: f6559da8 ESP: f6559d78
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process modprobe (pid: 1141, ti=f6559000 task=f6570e70 task.ti=f6559000)
Stack: f89694a9 f7920060 f655007b 00200286 f7927000 ffffffed f6559da8 f6559da8
       c00ffee0 00000000 000f1fff c00f0000 f6559dc8 c00f0000 c00ffee0 f6559dc8
       c00f0000 f896a5d0 f896a5a0 f7927000 f6559ddc c050659d f7927054 00000000
Call Trace:
 [<f89694a9>] ? hpwdt_init_one+0x18b/0x3a3 [hpwdt]
 [<c050659d>] ? pci_device_probe+0x39/0x5b
 [<c056a66b>] ? driver_probe_device+0xc0/0x137
 [<c056a806>] ? __driver_attach+0x73/0xa9
 [<c0569baf>] ? bus_for_each_dev+0x37/0x5c
 [<c056a4f0>] ? driver_attach+0x14/0x16
 [<c056a793>] ? __driver_attach+0x0/0xa9
 [<c056a2fd>] ? bus_add_driver+0x90/0x1b7
 [<c056a9fc>] ? driver_register+0x47/0xa2
 [<c0506740>] ? __pci_register_driver+0x35/0x61
 [<f88c8017>] ? hpwdt_init+0x17/0x19 [hpwdt]
 [<c044649d>] ? sys_init_module+0x1610/0x177a
 [<c062e63c>] ? do_page_fault+0x528/0x909
 [<c0437238>] ? param_get_int+0x0/0x15
 [<c0484bd3>] ? do_sync_read+0x0/0xe9
 [<c0485896>] ? sys_read+0x3b/0x60
 [<c0404b7a>] ? syscall_call+0x7/0xb
 =======================
Code: 00 00 00 ff 1f 0f 00 00 00 0f c0 c8 9d 55 f6 00 00 0f c0 e0 fe 0f c0 c8 9d
55 f6 00 00 0f c0 d0 a5 96 f8 a0 a5 96 f8 00 70 92 f7 <dc> 9d 55 f6 9d 65 50 c0
54 70 92 f7 00 <6>udev: renamed network interface eth0 to eth10
00 00 00 d0 a5 96 f8 f4
EIP: [<f6559dc8>] 0xf6559dc8 SS:ESP 0068:f6559d78
---[ end trace f60151d50a977a2e ]---


Version-Release number of selected component (if applicable):

kernel 2.6.25.4-10.fc8PAE or 2.6.25.4-10.fc8 kernel
module-init-tools-3.4-2.fc8

How reproducible:
Each boot

Steps to Reproduce:
1. reboot machine
2. modprobe runs automatically
3. see BUG: message, continues booting, unknown stability
  
Actual results:


Expected results:


Additional info:

System Information
        Manufacturer: HP
        Product Name: ProLiant DL380 G5
4 x 3000 MHz Intel zeon
4GB ram

Comment 1 Dave Jones 2008-06-21 02:38:54 UTC
possible fix merged to cvs, will be in the next update.

Comment 2 Fedora Update System 2008-06-30 16:37:13 UTC
kernel-2.6.25.9-40.fc8 has been submitted as an update for Fedora 8

Comment 3 Fedora Update System 2008-07-01 05:25:38 UTC
kernel-2.6.25.9-40.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5880

Comment 4 p thompson 2008-07-02 19:44:26 UTC
2.6.25.9-40.fc8 2.6.25.9-40.fc8PAE both seem to be better.
Updated kernel feedback as mentioned above

Comment 5 Fedora Update System 2008-07-03 03:14:49 UTC
kernel-2.6.25.9-40.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.